Val 1 <input type="text" name="f1" id="f1" /> <br />
Val 2 <input type="text" name="f2" id="f2" /> <br />
Result <input type="text" name="res" id="res" /> <br />
<input type="button" value="Add" onclick="calculate();" />

<script>
    function calculate() {
    var f1 = parseInt(document.getElementById('f1').value);
    var f2 = parseInt(document.getElementById('f2').value);
    var res = f1 + f2;
    document.getElementById('res').value = res;
}
$("myInputSelector").on("keyup", function () {

    var theTwoSelectors = $("myInputSelector"),
        total = 0;

    theTwoSelectors.each(function () {
        var value = $(this).val();
        if(value)
            total += parseInt(value);
    });

    $("myResultSelector").val(result);
});
</script>    